跳转到主要内容
PATCH
/
v2
/
enterprise
/
organizations
/
{org_id}
更新组织 API 端点
curl --request PATCH \
  --url https://api.devin.ai/v2/enterprise/organizations/{org_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "display_name": "<string>",
  "max_acu_limit": 123
}
'
import requests

url = "https://api.devin.ai/v2/enterprise/organizations/{org_id}"

payload = {
"display_name": "<string>",
"max_acu_limit": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({display_name: '<string>', max_acu_limit: 123})
};

fetch('https://api.devin.ai/v2/enterprise/organizations/{org_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
需要企业管理员的个人 API key。 为企业中的特定组织更新每个结算周期的最大 ACU 限额和/或显示名称。此端点允许您单独修改任一字段,或同时修改这两个字段。

授权

Authorization
string
header
必填

仅供 Enterprise 管理员使用的个人 API Key(apk_user_*)

路径参数

org_id
string
必填

请求体

application/json
display_name
string | null
max_acu_limit
integer | null

响应

成功响应

status
string
默认值:success